TypeVariable (Doclet API )
Keywords: com.sun.javadoc.TypeVariable interface
Date: 2017-07-29

com.sun.javadoc

## Interface TypeVariable

- All Superinterfaces:
    Type

      public interface TypeVariable
      extends Type

  Represents a type variable. For example, the generic interface `List<E>` has a single type variable `E`. A type variable may have explicit bounds, as in `C<R extends Remote>`.
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationDesc[]` | `annotations()` Get the annotations of this program element.
    `Type[]` | `bounds()` Return the bounds of this type variable.
    `ProgramElementDoc` | `owner()` Return the class, interface, method, or constructor within which this type variable is declared.

    - ### Methods inherited from interface com.sun.javadoc.Type

      `asAnnotatedType, asAnnotationTypeDoc, asClassDoc, asParameterizedType, asTypeVariable, asWildcardType, dimension, getElementType, isPrimitive, qualifiedTypeName, simpleTypeName, toString, typeName`

- - ### Method Detail

    - #### bounds

          Type[] bounds()

      Return the bounds of this type variable. These are the types given by the extends clause. Return an empty array if there are no explicit bounds.
      Returns:
        the bounds of this type variable.

    - #### owner

          ProgramElementDoc owner()

      Return the class, interface, method, or constructor within which this type variable is declared.
      Returns:
        the class, interface, method, or constructor within which this type variable is declared.

    - #### annotations

          AnnotationDesc[] annotations()

      Get the annotations of this program element. Return an empty array if there are none.

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 1993, 2017, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.